Namespaces

Variants
Actions

Please note that as of October 24, 2014, the Nokia Developer Wiki will no longer be accepting user contributions, including new entries, edits and comments, as we begin transitioning to our new home, in the Windows Phone Development Wiki. We plan to move over the majority of the existing entries over the next few weeks. Thanks for all your past and future contributions.

(Difference between revisions)

Archived:Setting up environment for Qt Mobility API

From Wiki
Jump to: navigation, search
kratsan (Talk | contribs)
m
treinio (Talk | contribs)
(Prerequisite)
Line 6: Line 6:
  
  
= Prerequisite =
+
= Prerequisites =
* Install the S60 SDK.
+
* Install the S60 SDK: [http://www.forum.nokia.com/info/sw.nokia.com/id/ec866fab-4b76-49f6-b5a5-af0631419e9c/S60_All_in_One_SDKs.html S60 Platform and Device SDKs for Symbian OS]. (In this article, S60 5th Edition SDK is used)
* In this series, S60 5th Edition SDK is used as a base. Download it from here: [http://www.forum.nokia.com/info/sw.nokia.com/id/ec866fab-4b76-49f6-b5a5-af0631419e9c/S60_All_in_One_SDKs.html S60 Platform and Device SDKs for Symbian OS]
+
* Use Carbide.c++ or Qt Creator as an IDE ((In this article, Carbide.c++ v2.4 is used).
* Use Carbide.c++ or Qt Creator as an IDE
+
** To set up Carbide.c++, first install [http://www.forum.nokia.com/Library/Tools_and_downloads/Other/Carbide.c++/ Carbide.c++ v2.3].
* In this series, Carbide.c++ v2.4 is used.  
+
** Upgrade it to latest version as shown in [http://blogs.forum.nokia.com/blog/lucian-tomutas-forum-nokia-blog/2010/02/01/upgrade-to-carbide.c-2.4 this blog post].
* First install Carbide.c++ v2.3. Download it from here: [http://www.forum.nokia.com/Tools_Docs_and_Code/Tools/IDEs/Carbide.c++/ Carbide.c++ v2.3]
+
* Upgrade it to Carbide.c++ v2.4 as shown in this blog: [http://blogs.forum.nokia.com/blog/lucian-tomutas-forum-nokia-blog/2010/02/01/upgrade-to-carbide.c-2.4 Upgrade to Carbide.c++ 2.4]
+
 
+
 
+
  
 
= Steps =  
 
= Steps =  

Revision as of 09:36, 21 June 2010


Contents

Overview

This article covers how to set up environment to work with Qt Mobility API.


Prerequisites

Steps

Setup Qt 4.6.2

Qt4.6.2.PNG

  • Choose the path of installation

Qt4.6.2 choose path.PNG

  • Choose the Symbian SDK

Qt4.6.2 choose SDK.PNG

  • Qt 4.6.2 provides its own configured command prompt with the variables set
  • Once the installation of Qt 4.6.2 is completed, you can find the Qt command prompt as shown in the following picture:

Qt4.6.2 command prompt.PNG

  • Use this command prompt to work with Qt development which will make the process easier

Note.pngNote: Current set of S60 devices do not have pre-installed Qt libraries on device. Please do not forget to install Qt libraries on the device before testing it on real device. You will find qt_installer.sis under C:\Qt\4.6.2 folder. It contains all the dependency files in a single .sis file.

Setup Qt Mobility API 1.0.0 beta 1

  • After successful installation of Qt 4.6.2, the next step is to build Qt Mobility APIs
  • Download QtMobility API: new-qt-apis
  • Extract it to the folder of your wish. In this series, it is extracted to C:\QtMobility\ (Make sure to extract all the files directly under C:\QtMobility API to make the efforts easier)
  • Once you have extracted the Qt Mobility API, perform the following steps:
  • configure

Qt4.6.2 command prompt 2.PNG

  • make debug-winscw

Qt4.6.2 command prompt 3.PNG

  • make release-gcce

Qt4.6.2 command prompt 4.PNG

Installation for device

Related articles

Reference links

237 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×